import uuid
from pydantic import BaseModel
from domains.notifications.models import NotificationType

class NotificationBase(BaseModel):
    title: str
    description: str | None = None
    type: NotificationType
    group_id: uuid.UUID | None = None

class NotificationCreate(NotificationBase):
    receiver_id: uuid.UUID
    sender_id: uuid.UUID | None = None

class NotificationResponse(NotificationBase):
    id: uuid.UUID
    is_accepted: bool | None
    receiver_id: uuid.UUID
    sender_id: uuid.UUID | None
    
    class Config:
        from_attributes = True

class NotificationAction(BaseModel):
    is_accepted: bool
